| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | List of all members
cv::viz::WImage3D Class Reference
3D Visualizer » Widget

This 3D Widget represents an image in 3D space. : More...

`#include <opencv2/viz/widgets.hpp>`

Inheritance diagram for cv::viz::WImage3D:

## Public Member Functions
| WImage3D (InputArray image, const Size2d &size)
| Constructs an WImage3D. More...
| WImage3D (InputArray image, const Size2d &size, const Vec3d &center, const Vec3d &normal, const Vec3d &up_vector)
| Constructs an WImage3D. More...
void | setImage (InputArray image)
| Sets the image content of the widget. More...
void | setSize (const Size &size)
| Sets the image size of the widget. More...
Public Member Functions inherited from cv::viz::Widget3D
| Widget3D ()
void | applyTransform (const Affine3d &transform)
| Transforms internal widget data (i.e. points, normals) using the given transform. More...
Affine3d | getPose () const
| Returns the current pose of the widget. More...
void | setColor (const Color &color)
| Sets the color of the widget. More...
void | setPose (const Affine3d &pose)
| Sets pose of the widget. More...
void | updatePose (const Affine3d &pose)
| Updates pose of the widget by pre-multiplying its current pose. More...
Public Member Functions inherited from cv::viz::Widget
| Widget ()
| Widget (const Widget &other)
virtual | ~Widget ()
template<typename _W >
_W | cast () const
| Casts a widget to another. More...
template<>
Widget2D | cast () const
| Utility exports. More...
template<>
Widget3D | cast () const
template<>
WLine | cast () const
template<>
WPlane | cast () const
template<>
WSphere | cast () const
template<>
WCylinder | cast () const
template<>
WArrow | cast () const
template<>
WCircle | cast () const
template<>
WCone | cast () const
template<>
WCube | cast () const
template<>
WCoordinateSystem | cast () const
template<>
WPolyLine | cast () const
template<>
WGrid | cast () const
template<>
WText3D | cast () const
template<>
WText | cast () const
template<>
WImageOverlay | cast () const
template<>
WImage3D | cast () const
template<>
WCameraPosition | cast () const
template<>
WTrajectory | cast () const
template<>
WTrajectoryFrustums | cast () const
template<>
WTrajectorySpheres | cast () const
template<>
WCloud | cast () const
template<>
WPaintedCloud | cast () const
template<>
WCloudCollection | cast () const
template<>
WCloudNormals | cast () const
template<>
WMesh | cast () const
template<>
WWidgetMerger | cast () const
double | getRenderingProperty (int property) const
| Returns rendering property of the widget. More...
Widget & | operator= (const Widget &other)
void | setRenderingProperty (int property, double value)
| Sets rendering property of the widget. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::viz::Widget
static Widget | fromPlyFile (const String &file_name)
| Creates a widget from ply file. More...

## Detailed Description

This 3D Widget represents an image in 3D space. :

## Constructor & Destructor Documentation

## ◆ WImage3D() [1/2]

cv::viz::WImage3D::WImage3D | ( | InputArray | image,
|  | const Size2d & | size
| ) |  |

Constructs an WImage3D.

Parameters

  image | BGR or Gray-Scale image.
  size | Size of the image.

## ◆ WImage3D() [2/2]

cv::viz::WImage3D::WImage3D | ( | InputArray | image,
|  | const Size2d & | size,
|  | const Vec3d & | center,
|  | const Vec3d & | normal,
|  | const Vec3d & | up_vector
| ) |  |

Constructs an WImage3D.

Parameters

  image | BGR or Gray-Scale image.
  size | Size of the image.
  center | Position of the image.
  normal | Normal of the plane that represents the image.
  up_vector | Determines orientation of the image.

## Member Function Documentation

## ◆ setImage()

void cv::viz::WImage3D::setImage | ( | InputArray | image | ) |

Sets the image content of the widget.

Parameters

  image | BGR or Gray-Scale image.

## ◆ setSize()

void cv::viz::WImage3D::setSize | ( | const Size & | size | ) |

Sets the image size of the widget.

Parameters

  size | the new size of the image.

The documentation for this class was generated from the following file:

- opencv2/viz/widgets.hpp